package org.adempiere.webui.apps.graph;

import java.util.Iterator;
import java.util.Map.Entry;
import java.util.Properties;

import org.adempiere.webui.component.Borderlayout;
import org.adempiere.webui.component.Panel;
import org.compiere.util.CLogger;
import org.compiere.util.Env;
import org.zkoss.zul.Center;
import org.zkoss.zul.Iframe;
import org.zkoss.zul.North;

public class WCareerPath extends Panel {

	private static final long serialVersionUID = -4374372743023403069L;
	private Iframe iframe = new Iframe();
	protected CLogger log = CLogger.getCLogger(getClass());
	public WCareerPath() {
		Borderlayout mainLayout = new Borderlayout();
		mainLayout.setStyle("width: 99%; height: 100%; position: absolute;");
		
		North nth = new North();
		Center cen = new Center();
		iframe.setHflex("true");
		iframe.setVflex("true");
		iframe.setStyle("width: 90%; height: 95%;");
		cen.appendChild(iframe);
		mainLayout.appendChild(cen);
		
		Properties prop = Env.getCtx();
		String url = "";
		for (Entry<Object, Object> s : prop.entrySet()) {
			String name = (String) s.getKey();
			if(name.endsWith("URL")) {
				url = Env.getContext(Env.getCtx(), name);
			}
		}
		iframe.setSrc(url);
		appendChild(mainLayout);
	}
}
